Eclipse GEF 3.3

## org.eclipse.gef.editpolicies
Class GraphicalEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

Direct Known Subclasses:
  DirectEditPolicy, GraphicalNodeEditPolicy, LayoutEditPolicy, SelectionEditPolicy, SnapFeedbackPolicy

public abstract class GraphicalEditPolicy
extends AbstractEditPolicy

A `GraphicalEditPolicy` is used with a `GraphicalEditPart`. All GraphicalEditPolicies are involved with the Figure in some way. They might use the Figure to interpret Requests, or they might simply decorate the Figure with graphical Feedback, such as selection handles.

This class provides convenience methods for accessing the host's Figure, and for adding feedback to the GraphicalViewer. This class does not handle any Request types directly.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`GraphicalEditPolicy()`

Method Summary
`protected void` `addFeedback(IFigure figure)` Adds the specified `Figure` to the `LayerConstants.FEEDBACK_LAYER`.
`protected IFigure` `getFeedbackLayer()` Returns the layer used for displaying feedback.
`protected IFigure` `getHostFigure()` Convenience method to return the host's Figure.
`protected IFigure` `getLayer(java.lang.Object layer)` Obtains the specified layer.
`protected void` `removeFeedback(IFigure figure)` Removes the specified `Figure` from the `LayerConstants.FEEDBACK_LAYER`.

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getCommand, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicalEditPolicy

    public GraphicalEditPolicy()

Method Detail

### addFeedback

    protected void addFeedback(IFigure figure)

  Adds the specified `Figure` to the `LayerConstants.FEEDBACK_LAYER`.

  Parameters:
    `figure` - the feedback to add

### getFeedbackLayer

    protected IFigure getFeedbackLayer()

  Returns the layer used for displaying feedback.

  Returns:
    the feedback layer

### getHostFigure

    protected IFigure getHostFigure()

  Convenience method to return the host's Figure.

  Returns:
    The host GraphicalEditPart's Figure

### getLayer

    protected IFigure getLayer(java.lang.Object layer)

  Obtains the specified layer.

  Parameters:
    `layer` - the key identifying the layer
  Returns:
    the requested layer

### removeFeedback

    protected void removeFeedback(IFigure figure)

  Removes the specified `Figure` from the `LayerConstants.FEEDBACK_LAYER`.

  Parameters:
    `figure` - the feedback to remove

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.